%define module  pyifbabel

Name:           python-%{module}
Version:        0.4
Release:        %mkrel 2
Summary:        Python implementation of the Treaty of Babel
Group:          Development/Python
License:        GPLv3+
URL:            http://pyifbabel.invergo.net
Source0:        http://pyifbabel.invergo.net/download/%{module}-%{version}.tar.gz

BuildRequires:  python-setuptools
BuildArch:      noarch

%description
pyifbabel is a pure-Python implementation of the Treaty of Babel,
a standard for identifying and handling the metadata of interactive
fiction files. This module was originally written for Grotesque
but it has been packaged separately to be easily used by other developers.

pyifbabel provides tools for extracting metadata from interactive fiction
files, for working with IFiction XML files, and for building an object-
oriented representation of an interactive fiction story file in Python.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

# Doc in wrong prefix
rm -rf %{buildroot}%{_prefix}/local

%files
%doc COPYING README USAGE
%{_bindir}/%{module}
%{python_sitelib}/treatyofbabel/
%{python_sitelib}/%{module}-%{version}-py%{pyver}.egg-info


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.4-2.mga6
+ Revision: 952148
- Mageia 6 Mass Rebuild

* Sun Jan 18 2015 akien <akien> 0.4-1.mga5
+ Revision: 811241
- imported package python-pyifbabel

